Bug Hunting Session
Bug 91125 - Crash creating pivot table
Summary: Crash creating pivot table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-07 01:35 UTC by Matthew Francis
Modified: 2015-12-17 09:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Linux 5.0 master backtrace (11.74 KB, text/plain)
2015-05-07 01:36 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2015-05-07 01:35:12 UTC
Creating a pivot table on current 5.0 master crashes. Looks like another vclptr issue

Reproduction steps:
- Open attachment 106067 [details] (bug 83720)
- Select A1:C15
- Data - Pivot Table - Create...
- "Current selection", OK
- Drag "Dato" -> Column fields, "Beskrivelse" -> Row fields, "Pris" -> Data fields
- Click "OK"

-> Crash
Comment 1 Matthew Francis 2015-05-07 01:36:08 UTC
Created attachment 115397 [details]
Linux 5.0 master backtrace
Comment 2 Matthew Francis 2015-05-07 01:40:42 UTC
This began at the below commit.
Adding Cc: to michael.meeks@collabora.com; Could you possibly take a look at this one? Thanks

commit e8b97a52c96df9c8e8055407b1e40ed7cb9cfc67
Merge: 2b0be6c 0cde74f
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Tue Apr 28 11:41:31 2015 +0100

    Merge remote-tracking branch 'origin/feature/vclptr'
    
    Resolve several thousand lines of conflicts.
Comment 3 Matthew Francis 2015-05-07 01:41:40 UTC
(helps to add the actual Cc: - @mmeeks, another vclptr one for you)
Comment 4 Michael Meeks 2015-05-08 10:26:06 UTC
Nice - there are a whole clutch of calc dialogs with the same problem here - all going through one unfortunate function - with a simple fix =) will push shortly.
Comment 5 Commit Notification 2015-05-08 11:17:31 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=087f7fe50b03307e2d9202365886e8c37bd7e6e3

tdf#91125 - nail a clutch of calc modeless dialog lifecycle issues.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2015-05-08 17:48:16 UTC
Hmm; in fact this is a really nasty one - still chasing it ...
Comment 7 Michael Meeks 2015-05-13 20:27:51 UTC
Nailed it - this was really a surprisingly vicious bug =)
Thanks for reporting.
Comment 8 Commit Notification 2015-05-13 20:28:35 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06ecf7d2aebe64226142ee27c2512351960f8bb1

tdf#91125 - unwind horrendous SvTreeListBox drag&drop code.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 09:03:54 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]